/*
    Title:    AVR-GCC test program for the STK200 eva board
    Author:   Volker Oth
    Date:     5/1999
    Purpose:  Printing text on a text lcd display.
    needed
    Software: AVR-GCC to compile, AVA to assemble and link
    needed
    Hardware: ATS90S8515/4414/Mega on STK200/STK300 board
              LCD text display with 8bit microcontroller connection.
    Note:     To contact me, mail to
                  volkeroth(at)gmx.de
*/

#include <io.h>
#include "global.h"
#include "timer.h"
#include "lcd.h"


char* int2str(u16 i, char *s)
/* connverts 16 bit unsigned integer to string */
{
    register u16 divisor = 10000;
    register u16 n=0;
    register char c;

    do {
        c = (char)(i/divisor);
        s[n++] = c + '0';
        i -= c*divisor;
        divisor /= 10;
    } while (divisor);
    s[n] = 0;

    return s;
}


int main(void)
{
    register u16 i;
    char num_str[6];

    lcd_init((1<<LCD_ON_CURSOR), LCD_FUNCTION_DEFAULT); 

    for (;;)                            /* loop forever */
        for (i=0; i<MAX_U16; i++) {      
            lcd_home();
            lcd_puts("AVR-GCC LCD demo\n");
            lcd_puts("loop: ");
            lcd_puts(int2str(i, num_str));
        } 
}