/*
    Title:    timer library
    Author:   Volker Oth
    Date:     5/1999
    Purpose:  delay loop.
    needed
    Software: AVR-GCC to compile, AVA to assemble and link
    needed
    Hardware: ATS90S8515/4414/Mega on STK200/STK300 board
              LCD text display with 8bit microcontroller connection.
    Note:     To contact me, mail to
                  volkeroth(at)gmx.de
*/

#include <io.h>
#include "global.h"
#include "timer.h"


void delay(u16 us) 
/* delay for a minimum of <us> microseconds */
/* the time resolution is dependent on the time the loop takes */
/* e.g. with 4Mhz and 5 cycles per loop, the resolution is 1.25 us */
{
    u16 delay_loops;
    register u16 i;

    delay_loops = (us+3)/5*CYCLES_PER_US; /* +3 for rounding up (dirty) */
    /* one loop takes 5 cpu cycles */

    for (i=0; i < delay_loops; i++) {};
} 
